Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1490916 - shard size change and firewalld ports has to be updated in the deployment guide.
Summary: shard size change and firewalld ports has to be updated in the deployment guide.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: doc-Deploying_RHHI
Version: rhhi-1.0
Hardware: Unspecified
OS: Linux
unspecified
high
Target Milestone: ---
: ---
Assignee: Laura Bailey
QA Contact: RamaKasturi
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-12 13:26 UTC by RamaKasturi
Modified: 2019-02-15 10:07 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-15 10:07:48 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description RamaKasturi 2017-09-12 13:26:10 UTC
Document URL: https://access.redhat.com/documentation/en-us/red_hat_hyperconverged_infrastructure/1.0/html-single/deploying_red_hat_hyperconverged_infrastructure/

Section Number and Name:  APPENDIX C. UNDERSTANDING THE GENERATED GDEPLOY CONFIGURATION FILE

Describe the issue:  

1) with the latest gdeploy+cockpit version path of the script files has been changed from  /usr/share/ansible/gdeploy/scripts to /usr/share/gdeploy/scripts.

2) shard size has been changed to 64MB and the same has to be updated in the volume sections.

3) A new port has been added to the firewalld ports and same needs to be updated.


Suggestions for improvement: 

[script1] section :
==================
[script1]
action=execute
ignore_script_errors=no
file=/usr/share/gdeploy/scripts/grafton-sanity-check.sh -d sdc -h 192.168.0.101,192.168.0.102,192.168.0.103

Configure the firewall:
=====================================

[firewalld]
action=add
ports=111/tcp,2049/tcp,54321/tcp,5900/tcp,5900-6923/tcp,5666/tcp,16514/tcp,54322/tcp
services=glusterfs

Disable gluster hooks:
===========================================
[script2]
action=execute
file=/usr/share/gdeploy/scripts/disable-gluster-hooks.sh

create gluster volumes:
=============================
key=group,storage.owner-uid,storage.owner-gid,network.ping-timeout,performance.strict-o-direct,network.remote-dio,cluster.granular-entry-heal,features.shard-block-size
value=virt,36,36,30,on,off,enable,64MB



Additional information:

Comment 2 RamaKasturi 2017-09-15 13:19:05 UTC
As put in the description , changes in the doc for shardsize and firewalld is enough and script file change is not required.

Configure the firewall:
=====================================

[firewalld]
action=add
ports=111/tcp,2049/tcp,54321/tcp,5900/tcp,5900-6923/tcp,5666/tcp,16514/tcp,54322/tcp
services=glusterfs



create gluster volumes:
=============================
key=group,storage.owner-uid,storage.owner-gid,network.ping-timeout,performance.strict-o-direct,network.remote-dio,cluster.granular-entry-heal,features.shard-block-size
value=virt,36,36,30,on,off,enable,64MB

Thanks
kasturi.

Comment 9 RamaKasturi 2017-09-19 06:15:18 UTC
I have cancelled need info on sas as i have responded to all the queries. Please let me if you would want me to set that back.

Comment 13 RamaKasturi 2017-09-20 05:53:54 UTC
Verified in the doc links provided above in comment 11. Changes looks good to me.


Note You need to log in before you can comment on or make changes to this bug.